Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.saxpath
Class SAXPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jaxen.saxpath.SAXPathException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JaxenException, XPathSyntaxException

public class SAXPathException
extends Exception

Base of all SAXPath exceptions.

Author:
  bob mcwhirter (bob@werken.com)
See Also:
  Serialized Form

Constructor Summary
`SAXPathException(String message)` Create a new SAXPathException with a given message.
`SAXPathException(String message, Throwable cause)` Create a new SAXPathException with the specified detail message and root cause.
`SAXPathException(Throwable cause)` Create a new SAXPathException based on another exception

Method Summary
`Throwable` | `getCause()` Returns the exception that caused this exception.
`Throwable` | `initCause(Throwable cause)` Sets the exception that caused this exception.
`void` | `printStackTrace(PrintStream s)` Print this exception's stack trace, followed by the source exception's trace, if any.
`void` | `printStackTrace(PrintWriter s)` Print this exception's stack trace, followed by the source exception's stack trace, if any.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXPathException

    public SAXPathException(String message)

  Create a new SAXPathException with a given message.

Parameters:
  `message` - the error message

### SAXPathException

    public SAXPathException(Throwable cause)

  Create a new SAXPathException based on another exception

Parameters:
  `cause` - the error source

### SAXPathException

    public SAXPathException(String message,
                            Throwable cause)

  Create a new SAXPathException with the specified detail message and root cause.

Parameters:
  `message` - the detail message
  `cause` - the cause of this exception

Method Detail

### getCause

    public Throwable getCause()

  Returns the exception that caused this exception. This is necessary to implement Java 1.4 chained exception functionality in a Java 1.3-compatible way.

  Returns:
    the exception that caused this exception

### initCause

    public Throwable initCause(Throwable cause)

  Sets the exception that caused this exception. This is necessary to implement Java 1.4 chained exception functionality in a Java 1.3-compatible way.

  Parameters:
    `cause` - the exception wrapped in this runtime exception
  Returns:
    this exception

### printStackTrace

    public void printStackTrace(PrintStream s)

  Print this exception's stack trace, followed by the source exception's trace, if any.

  Parameters:
    `s` - the stream on which to print the stack trace

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Print this exception's stack trace, followed by the source exception's stack trace, if any.

  Parameters:
    `s` - the writer on which to print the stack trace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.